using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.Serialization;
using System.Text;

namespace WCS.Entity.Protocol.DataStructure
{
    [DataContract]
    public class LogContent : ILogContent
    {
        [DataMember(Order = 0)]
        public string Content { get; set; } = "";

        [DataMember(Order = 1)]
        public string Error { get; set; } = "";
    }

    [Description("日志")]
    public interface ILogContent
    {
        [Description("日志内容")]
        string Content { get; set; }

        string Error { get; set; }
    }
}
